# resolve-uri

resolve-uri($relative as xs:string?) → xs:anyURI?

Resolves a relative URI against the base URI from the static context

Arguments
| $relative | xs:string? | A relative URI reference to be resolved against the static base URI from the context
Result | xs:anyURI?

resolve-uri($relative as xs:string?, $base as xs:string) → xs:anyURI?

Resolves a relative URI against a specified base URI

Arguments
| $relative | xs:string? | A relative URI reference to be resolved against the specified base URI
| $base | xs:string | The base URI used for resolving the relative reference
Result | xs:anyURI?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next